MAJ 3.5.1 > 3.7 Depuis erreur et plus d'accès à la partie administration

Réduire
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • [Problème] MAJ 3.5.1 > 3.7 Depuis erreur et plus d'accès à la partie administration

    Bonjour,

    Suite à un piratage du site et un spammage massif j'ai fais la mise à jour de la version 3.5.1 vers la version 3.7

    depuis voici ce qui s'affiche dans le navigateur lorsque je veux accéder à l’administration du site :
    Warning: strstr() expects parameter 1 to be string, object given in /datas/web/fdc83.com/libraries/joomla/cache/controller/callback.php on line 64

    Warning: strstr() expects parameter 1 to be string, object given in /datas/web/fdc83.com/libraries/joomla/cache/controller/callback.php on line 70

    Fatal error: Call to undefined method JApplicationAdministrator::isClient() in /datas/web/fdc83.com/administrator/components/com_login/models/login.php on line 148

    Pourriez-vous m'aider ?

    J'avais déjà eu ce soucis et à chaque fois que je réussissais à déboguer une ligne il m'en m'était une autre si bien que j'avais renoncer.

    J'aimerais ensuite passer en version 3.7.1

    Merci d'avance pour votre aide

    Pour info le site concerné est : fdc83.com

  • #2
    Re : MAJ 3.5.1 > 3.7 Depuis erreur et plus d'accès à la partie administration

    Bonjour,

    Apparemment, il s'agit d'une mise à jour incomplète de votre site : https://forum.joomla.org/viewtopic.php?t=949599

    Pascal
    JoomlaDay FR 2018 - 18/19 Mai 2018 ! J'y étais ... et vous ?

    If anything can go wrong, it will...
    If I can help, I will ..https://conseilgouz.com

    Commentaire


    • #3
      Re : MAJ 3.5.1 > 3.7 Depuis erreur et plus d'accès à la partie administration

      Envoyé par pmleconte Voir le message
      Bonjour,

      Apparemment, il s'agit d'une mise à jour incomplète de votre site : https://forum.joomla.org/viewtopic.php?t=949599

      Pascal
      Je vais regarder votre lien.

      Je vous remercie pour votre réponse

      Commentaire


      • #4
        Re : MAJ 3.5.1 > 3.7 Depuis erreur et plus d'accès à la partie administration

        Je ne trouve pas.
        En plus c'est en Anglais et je ne maitrise pas du tout cette langue.
        Merci de m'apporter votre aide.
        Bonne soirée

        Commentaire


        • #5
          Re : MAJ 3.5.1 > 3.7 Depuis erreur et plus d'accès à la partie administration

          Il faut dézipper la mise à jour Joomla et écraser vos fichiers sur votre site web (filezilla).

          Ensuite, il faut aller dans "extensions","gérer", "base de données" et cliquer sur "correction" (en haut à gauche).

          Finalement, il faut aller dans "extensions", "découvrir" et "installer ce qui ne l'a pas été.

          Pascal
          JoomlaDay FR 2018 - 18/19 Mai 2018 ! J'y étais ... et vous ?

          If anything can go wrong, it will...
          If I can help, I will ..https://conseilgouz.com

          Commentaire


          • #6
            Re : MAJ 3.5.1 > 3.7 Depuis erreur et plus d'accès à la partie administration

            Envoyé par pmleconte Voir le message
            Il faut dézipper la mise à jour Joomla et écraser vos fichiers sur votre site web (filezilla).
            Pascal
            Cela je l'ai déjà fait. Mais toujours mes messages d'erreurs.

            Envoyé par pmleconte Voir le message
            Ensuite, il faut aller dans "extensions","gérer", "base de données" et cliquer sur "correction" (en haut à gauche).

            Finalement, il faut aller dans "extensions", "découvrir" et "installer ce qui ne l'a pas été.

            Pascal
            J'aimerais faire cela mais mon soucis est justement que je n'ai pas accès à la partie administrateur.

            Je tape l'url : http://fdc83.com/administrator/
            J'ai directement les messages :
            Warning: strstr() expects parameter 1 to be string, object given in /datas/web/fdc83.com/libraries/joomla/cache/controller/callback.php on line 64

            Warning: strstr() expects parameter 1 to be string, object given in /datas/web/fdc83.com/libraries/joomla/cache/controller/callback.php on line 70

            Fatal error: Call to undefined method JApplicationAdministrator::isClient() in /datas/web/fdc83.com/administrator/components/com_login/models/login.php on line 148

            Mais un grand merci pour le temps que vous prenez pour me répondre et tenter de trouver une solution

            Commentaire


            • #7
              Re : MAJ 3.5.1 > 3.7 Depuis erreur et plus d'accès à la partie administration

              En relisant le post en anglais, il apparaît que la partie "base de données" est un peu plus compliquée que prévue: il faut faire les mises à jour de la bases de données "à la main" dans phpmyadmin....

              Donc, les mises à jour de la base de données sont dans le répertoire administrator/components/com_admin/sql/updates/mysql.

              Il faut reprendre les fichiers .sql après la version 3.5.1 et les copier dans un autre répertoire. Ensuite, avec un éditeur, il faut aller remplacer #_ par <votre racine>.

              Finalement, sous phpmyadmin, vous vous connectez à votre base de données et,
              - soit vous créez un zip contenant tous les fichiers .sql et vous cliquez sur "importer" pour intégrer ces modifications
              - soit vous "tirez et lâchez" (drag&drop) chaque fichier individuellement.

              Après cela, vous devriez retrouver votre admin où il faudra tout de même aller dans "extensions"/"gérer"/"bases de données" pour vérifier que tout a bien été pris en compte.

              Pascal
              JoomlaDay FR 2018 - 18/19 Mai 2018 ! J'y étais ... et vous ?

              If anything can go wrong, it will...
              If I can help, I will ..https://conseilgouz.com

              Commentaire


              • #8
                Re : MAJ 3.5.1 &gt; 3.7 Depuis erreur et plus d'accès à la partie administration

                Le dernier fichier c'est : 3.7.4-2017-07-05.sql
                Dedans pas grand chose : DELETE FROM `#__postinstall_messages` WHERE `title_key` = 'COM_CPANEL_MSG_PHPVERSION_TITLE';

                Est-ce cela ? Mais je ne comprends pas de quel nom lui donner.

                Il me semble que vous parlez de plusieurs fichiers ? le fichier d'avant se nomme : 3.7.3-2017-06-03.sql
                rien de plus.

                Merci pascal pour ton aide

                Commentaire


                • #9
                  Re : MAJ 3.5.1 &gt; 3.7 Depuis erreur et plus d'accès à la partie administration

                  bonsoir,

                  si vous venez de la version 3.5.1, il y a 37 fichiers à reprendre, le premier 3.6.0-2016-04-01.sql.

                  Dans chaque fichier, vous avez peu de lignes et il faut les traiter dans l'ordre en remplaçant dans ces fichiers #_ par <racine de vos tables>. Par exemple, dans le fichier 3.7.4-2017-07-05.sql, #__postinstall_messages devient jos_postinstall_messages si votre préfixe est jos.

                  Attention: il y a 2 _ dans #__postinstall_messages et un seul dans jos_postinstall_messages.Donc, il faut remplacer #_ par votre prefixe.

                  Pascal
                  JoomlaDay FR 2018 - 18/19 Mai 2018 ! J'y étais ... et vous ?

                  If anything can go wrong, it will...
                  If I can help, I will ..https://conseilgouz.com

                  Commentaire


                  • #10
                    Re : MAJ 3.5.1 &gt; 3.7 Depuis erreur et plus d'accès à la partie administration

                    Bonjour pascal,

                    Pourquoi dans les autres version de Joomla cette manipulation n'a pas été nécessaire ?

                    Je n'arrive pas je n'ai pas les autorisations pour le faire.
                    Dernière édition par christel.photographe à 14/09/2017, 19h33

                    Commentaire


                    • #11
                      Re : MAJ 3.5.1 &gt; 3.7 Depuis erreur et plus d'accès à la partie administration

                      Je n'ai toujours pas trouvé la solution pour rétablir mon accès l’administration du site internet.
                      Aucune restauration du site est envisageable car le problème restera car test en local à partir d'une version antérieur et même souci.

                      Merci pour votre aide.

                      Commentaire


                      • #12
                        Re : MAJ 3.5.1 &gt; 3.7 Depuis erreur et plus d'accès à la partie administration

                        Envoyé par pmleconte Voir le message
                        bonsoir,

                        si vous venez de la version 3.5.1, il y a 37 fichiers à reprendre, le premier 3.6.0-2016-04-01.sql.

                        Dans chaque fichier, vous avez peu de lignes et il faut les traiter dans l'ordre en remplaçant dans ces fichiers #_ par <racine de vos tables>. Par exemple, dans le fichier 3.7.4-2017-07-05.sql, #__postinstall_messages devient jos_postinstall_messages si votre préfixe est jos.

                        Attention: il y a 2 _ dans #__postinstall_messages et un seul dans jos_postinstall_messages.Donc, il faut remplacer #_ par votre prefixe.

                        Pascal
                        Bonsoir,

                        J'ai donc réussi à faire ce que vous m'avez conseillé.
                        Mais rien ne change j'ai toujours pas accès à l'administration du site !


                        Warning: strstr() expects parameter 1 to be string, object given in /datas/web/fdc83.com/libraries/joomla/cache/controller/callback.php on line 64

                        Voici le code ligne 64 : elseif (strstr($callback, '::'))

                        Warning: strstr() expects parameter 1 to be string, object given in /datas/web/fdc83.com/libraries/joomla/cache/controller/callback.php on line 70

                        voici le code ligne 70 : elseif (strstr($callback, '->'))

                        Voici le passage de code complet erreur line 70 et line 64:

                        public function get($callback, $args = array(), $id = false, $wrkarounds = false, $woptions = array())
                        {
                        // Normalize callback
                        if (is_array($callback))
                        {
                        // We have a standard php callback array -- do nothing
                        }
                        elseif (strstr($callback, '::'))
                        {
                        // This is shorthand for a static method callback classname::methodname
                        list ($class, $method) = explode('::', $callback);
                        $callback = array(trim($class), trim($method));
                        }
                        elseif (strstr($callback, '->'))
                        {
                        /*
                        * This is a really not so smart way of doing this... we provide this for backward compatability but this
                        * WILL! disappear in a future version. If you are using this syntax change your code to use the standard
                        * PHP callback array syntax: <http://php.net/callback>
                        *
                        * We have to use some silly global notation to pull it off and this is very unreliable
                        */
                        list ($object_123456789, $method) = explode('->', $callback);
                        global $$object_123456789;
                        $callback = array($$object_123456789, $method);
                        }
                        else
                        {
                        // We have just a standard function -- do nothing
                        }

                        if (!$id)
                        {
                        // Generate an ID
                        $id = $this->_makeId($callback, $args);
                        }

                        $data = $this->cache->get($id);

                        $locktest = new stdClass;
                        $locktest->locked = null;
                        $locktest->locklooped = null;

                        if ($data === false)
                        {
                        $locktest = $this->cache->lock($id);

                        if ($locktest->locked == true && $locktest->locklooped == true)
                        {
                        $data = $this->cache->get($id);
                        }
                        }

                        $coptions = array();

                        if ($data !== false)
                        {
                        $cached = unserialize(trim($data));
                        $coptions['mergehead'] = isset($woptions['mergehead']) ? $woptions['mergehead'] : 0;
                        $output = ($wrkarounds == false) ? $cached['output'] : JCache::getWorkarounds($cached['output'], $coptions);
                        $result = $cached['result'];

                        if ($locktest->locked == true)
                        {
                        $this->cache->unlock($id);
                        }
                        }
                        else
                        {
                        if (!is_array($args))
                        {
                        $Args = !empty($args) ? array(&$args) : array();
                        }
                        else
                        {
                        $Args = &$args;
                        }

                        if ($locktest->locked == false)
                        {
                        $locktest = $this->cache->lock($id);
                        }

                        if (isset($woptions['modulemode']) && $woptions['modulemode'] == 1)
                        {
                        $document = JFactory::getDocument();
                        $coptions['modulemode'] = 1;
                        if (method_exists($document, 'getHeadData'))
                        {
                        $coptions['headerbefore'] = $document->getHeadData();
                        }
                        }
                        else
                        {
                        $coptions['modulemode'] = 0;
                        }

                        ob_start();
                        ob_implicit_flush(false);

                        $result = call_user_func_array($callback, $Args);
                        $output = ob_get_contents();

                        ob_end_clean();

                        $cached = array();

                        $coptions['nopathway'] = isset($woptions['nopathway']) ? $woptions['nopathway'] : 1;
                        $coptions['nohead'] = isset($woptions['nohead']) ? $woptions['nohead'] : 1;
                        $coptions['nomodules'] = isset($woptions['nomodules']) ? $woptions['nomodules'] : 1;

                        $cached['output'] = ($wrkarounds == false) ? $output : JCache::setWorkarounds($output, $coptions);
                        $cached['result'] = $result;

                        // Store the cache data
                        $this->cache->store(serialize($cached), $id);

                        if ($locktest->locked == true)
                        {
                        $this->cache->unlock($id);
                        }
                        }

                        echo $output;

                        return $result;
                        }

                        Fatal error: Call to undefined method JApplicationAdministrator::isClient() in /datas/web/fdc83.com/administrator/components/com_login/models/login.php on line 148

                        rien à la ligne 148 mais voilà le passage de code complet :
                        {
                        $db = JFactory::getDbo();

                        $query = $db->getQuery(true)
                        ->select('m.id, m.title, m.module, m.position, m.showtitle, m.params')
                        ->from('#__modules AS m')
                        ->where('m.module =' . $db->quote($module) . ' AND m.client_id = 1')
                        ->join('LEFT', '#__extensions AS e ON e.element = m.module AND e.client_id = m.client_id')
                        ->where('e.enabled = 1');

                        // Filter by language.
                        if ($app->isSite() && $app->getLanguageFilter())
                        {
                        $query->where('m.language IN (' . $db->quote($lang) . ',' . $db->quote('*') . ')');
                        }

                        $query->order('m.position, m.ordering');

                        // Set the query.
                        $db->setQuery($query);

                        try
                        {
                        $modules = $db->loadObjectList();
                        }
                        catch (RuntimeException $e)
                        {
                        JError::raiseWarning(500, JText::sprintf('JLIB_APPLICATION_ERROR_MODULE_LOAD ', $e->getMessage()));

                        return $loginmodule;
                        }

                        // Return to simple indexing that matches the query order.
                        $loginmodule = $modules;

                        $cache->store($loginmodule, $cacheid);
                        }


                        J'espère que vous pourrez ainsi m'aider.

                        Commentaire


                        • #13
                          Re : MAJ 3.5.1 &gt; 3.7 Depuis erreur et plus d'accès à la partie administration

                          Je continue à chercher mais dur dur pour l'instant je n'y arrive pas. Besoin de votre aide. Merci

                          A partir de phpinfo.php

                          voici les infos recueillis :
                          PHP Version 5.5.31
                          Mysql – Client API Version 5.5.15

                          J'espère que cela aidera.

                          Commentaire


                          • #14
                            Re : MAJ 3.5.1 &gt; 3.7 Depuis erreur et plus d'accès à la partie administration

                            Bonjour,
                            Voici l'évolution de mon dossier :
                            J'ai restauré une ancienne sauvegarde et j'ai remis le site à jour.
                            Je me suis aperçu que de nombreux dossier était en chmod : 0777 donc j'ai corrigé cela en 755 pour les dossier, 644 pour les fichiers et 444 pour le fichier configuration.php
                            Vu que les fichiers log étant énorme je les ai tous supprimés et j'ai vérifié que l'ensemble du site fonctionne.
                            Ensuite j'ai fait une sauvegarde complète du site et de sa BDD.
                            J'ai installer en local cette sauvegarde et maintenant je vais faire les mises à jour et tester une après l'autre et sauvegarder au fur à mesure.
                            Si l'erreur revient lors d'une nouvelle mise à jour je reviendrais vers vous pour vous tenir informé en vous donnant à ce moment là plus de détails.

                            Je tiens pour finir à remercier encore tous ceux qui m'ont aidé.

                            Bonne fin de journée

                            Commentaire

                            Annonce

                            Réduire
                            1 sur 2 < >

                            C'est [Réglé] et on n'en parle plus ?

                            A quoi ça sert ?
                            La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                            Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                            Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                            Comment ajouter la mention [Réglé] à votre discussion ?
                            1 - Aller sur votre discussion et éditer votre premier message :


                            2 - Cliquer sur la liste déroulante Préfixe.

                            3 - Choisir le préfixe [Réglé].


                            4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                            2 sur 2 < >

                            Assistance au forum - Outil de publication d'infos de votre site

                            Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                            Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                            Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                            UTILISER À VOS PROPRES RISQUES :
                            L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                            Problèmes connus :
                            FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                            Installation :

                            1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                            Archive zip : https://github.com/AFUJ/FPA/zipball/master

                            2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                            3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                            4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                            5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                            6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                            et remplacer www. votresite .com par votre nom de domaine


                            Exemples:
                            Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                            Télécharger le script fpa-fr.php dans: /public_html/
                            Pour executer le script: http://www..com/fpa-fr.php

                            Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                            Télécharger le script fpa-fr.php dans: /public_html/cms/
                            Pour executer le script: http://www..com/cms/fpa-fr.php

                            En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                            Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                            Voir plus
                            Voir moins
                            Travaille ...
                            X